"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_command_1 = require("../base-command");
const command_1 = require("../utils/command");
const examples_1 = require("../utils/examples");
const COMMAND_NAME = command_1.fileName(__filename);
class CacheHitCommand extends base_command_1.default {
    getQuery() {
        return `
      SELECT
        'index hit rate' AS name,
        (sum(idx_blks_hit)) / nullif(sum(idx_blks_hit + idx_blks_read),0) AS ratio
      FROM pg_statio_user_indexes
      UNION ALL
      SELECT
       'table hit rate' AS name,
        sum(heap_blks_hit) / nullif(sum(heap_blks_hit) + sum(heap_blks_read),0) AS ratio
      FROM pg_statio_user_tables;`;
    }
}
CacheHitCommand.description = 'Show index and table hit rate.';
CacheHitCommand.examples = [command_1.defaultExample(COMMAND_NAME), examples_1.CACHE_HIT_EXAMPLE];
CacheHitCommand.usage = [command_1.defaultUsage(COMMAND_NAME)];
exports.default = CacheHitCommand;
