"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_command_1 = require("../base-command");
const command_1 = require("../utils/command");
const examples_1 = require("../utils/examples");
const COMMAND_NAME = command_1.fileName(__filename);
class ExtensionsCommand extends base_command_1.default {
    getQuery() {
        return 'SELECT * FROM pg_available_extensions';
    }
}
ExtensionsCommand.description = 'List available and installed extensions.';
ExtensionsCommand.examples = [command_1.defaultExample(COMMAND_NAME), examples_1.EXTENSIONS_EXAMPLE];
ExtensionsCommand.usage = [command_1.defaultUsage(COMMAND_NAME)];
exports.default = ExtensionsCommand;
