"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_command_1 = require("../base-command");
const command_1 = require("../utils/command");
const COMMAND_NAME = command_1.fileName(__filename);
class RecordsRankCommand extends base_command_1.default {
    getQuery() {
        return `
      SELECT
        relname AS name,
        n_live_tup AS estimated_count
      FROM
        pg_stat_user_tables
      ORDER BY
        n_live_tup DESC;`;
    }
}
RecordsRankCommand.description = 'Show all tables and the number of rows in each ordered by number of rows descending.';
RecordsRankCommand.examples = [command_1.defaultExample(COMMAND_NAME)];
RecordsRankCommand.usage = [command_1.defaultUsage(COMMAND_NAME)];
exports.default = RecordsRankCommand;
