"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_command_1 = require("../base-command");
const command_1 = require("../utils/command");
const COMMAND_NAME = command_1.fileName(__filename);
class StatsReset extends base_command_1.default {
    getQuery() {
        return 'SELECT pg_stat_reset()';
    }
    async logResults(_, __, flags) {
        this.log(`Statistics on database ${flags.dbname} reset successfully.`);
    }
}
StatsReset.description = 'Reset all statistics counters for the current database to zero (requires superuser privileges).';
StatsReset.examples = [command_1.defaultExample(COMMAND_NAME)];
StatsReset.usage = [command_1.defaultUsage(COMMAND_NAME)];
exports.default = StatsReset;
