"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_command_1 = require("../base-command");
const command_1 = require("../utils/command");
const COMMAND_NAME = command_1.fileName(__filename);
class UserConnectionsCommand extends base_command_1.default {
    getQuery() {
        return 'SELECT usename, COUNT(*) AS "connection_count" FROM pg_stat_activity GROUP BY usename';
    }
}
UserConnectionsCommand.description = 'Number of connections per credential.';
UserConnectionsCommand.examples = [command_1.defaultExample(COMMAND_NAME)];
UserConnectionsCommand.usage = [command_1.defaultUsage(COMMAND_NAME)];
exports.default = UserConnectionsCommand;
